Subject: bug#38613: closed (Re: bug#38613: Disabling bytecompilation on a list of files.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 Dec 2019 23:08:02 +0000

Your bug report

#38613: Disabling bytecompilation on a list of files.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38613: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38613
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38613: Disabling bytecompilation on a list of files.
From: Brett Gilio <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: Leo Prikler <[email-masked]>, Brett Gilio <[email-masked]>, [email-masked]
Date: Fri, 27 Dec 2019 17:07:05 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxim Cournoyer <[email-masked]> writes:

> Brett Gilio <[email-masked]> writes:
>
>
> [...]
>
>> Leo and Maxim,
>>
>> Do you think this feature addition to the emacs-build-system is good to
>> be pushed, then? I think it looks quite fine but I want to double check
>> before potentially doing something dumb.
>
> LGTM!
>
> Thank you!
>
> Maxim
>

Done! Thank you Leo and Maxim.

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>

Subject: Disabling bytecompilation on a list of files.
From: Brett Gilio <[email-masked]>
To: [email-masked]
Date: Sat, 14 Dec 2019 13:45:10 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey all.

Just forwarding along an idea discussed between Leo Prikler, Tobias, and
I on IRC.

Recently I was trying to update our emacs-doom-themes package to a
fresher commit since it offers numerous new functionalities but there is
not a marked stable release of the package. In the process I found an
issue where some files have a bytecode compilation overflow issue during
the build phase. My sloppy work around as shown in
e9d8dee6c3d6e2ddff74841a3ab3a2ba2816bf27 was as such:

--8<---------------cut here---------------start------------->8---
;; XXX: There is a byte-code overflow issue in the latest
;; checkout which affects byte-compilation for several theme
;; files. The easiest way to work around this is to disable
;; byte-compilation until the issue is resolved.
;; <https://github.com/hlissner/emacs-doom-themes/issues/314>
(delete 'build)
--8<---------------cut here---------------end--------------->8---

Obviously just outright deleting the phase responsible for
bytecompilation is not the _best_ solution. So what Leo and I proposed
was adding a #:no-bytecomp which takes a list of REGEXP or files that
will be excluded from the in-place byte-compilation.

I wanted to float this idea by those of us who use the
emacs-build-system regularly.

Thanks!

-- 
Brett M. Gilio
Homepage -- https://scm.pw/
GNU Guix -- https://guix.gnu.org/